//  main: main.less, out: ../style.css


/* 
====================================================================================================================================
SHOWREEL
======================================================================================================================================
*/

.c-slideshow {
    position: relative;
    z-index: 0;
    background-color: @color-footer;
    height: 100vh;
    .animationFadeIn;
}

.c-slideshow__slide {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 800px;
    z-index: 0;

    img {
        object-position: left bottom;
    }

    &:after, &:before {
        position: absolute;
        content: '';
        display: block;
        top: 0;
        left: 0;
    }
    &:after {
        width: 80vw;
        bottom: 0;
        opacity: .45;
        z-index: 2;
        .u-linear-gradient(90deg, black, fade(black, 0%));
    }
    &:before {
        height: 100%;
        width: 100%;
        background-color: black;
        opacity: .1;
        z-index: 1;
    }
}

.c-slideshow__content {
    position: absolute;
    bottom: @margin__l;
    left: 0;
    right: 0;
    z-index: 199;
    user-select: none;
    @media @media_tablet, @media_landascape, @media_desktop, @media_full {
        opacity: 0;
        .animationDownUp;
    }

    .inner {
        max-width: 540px;
    }

    p {
        color: white;
    }
}

.c-slideshow__pretitle {
    font-size: @size__lx;
    color: @color-tetiary;
    text-transform: uppercase;
    margin: 0;
}

.c-slideshow__title {
    font-size: @size__xxxl;
    color: @color-white;
    line-height: 1em;
    margin: @margin__s/2 0 0;
}

.c-slideshow__pager {
    position: absolute;
    bottom: @margin__m;
    left: 50%;
    z-index: 199;
    .u-transform(translateX(-50%));
    .pager {
        height: 20px;
        width: 20px;
        display: inline-block;
        margin: 0 10px;
        background-image: url('./images/nav-plus-white.svg');
        background-repeat: no-repeat;
        background-size: 10px;
        background-position: center;
        .transition-elastic;
        .u-transform(rotate(0deg));
        &.isActive {
            background-image: url('./images/nav-plus-decorator.svg');
            .u-transform(rotate(45deg));
        }
    }
}

@media @media_smartphone {
    .c-slideshow {
        height: initial;
    }

    .c-slideshow__slide {
        min-height: 667px;
    
        &:after, &:before {
            display: none;
        }
        img {
            object-position: right bottom;
        }
    }
    .c-slideshow__image {
        position: relative;
        height: 358px;
    }
    .c-slideshow__content {
        position: relative;
        bottom: initial;
        left: initial;
        right: initial;
        z-index: 1;
        opacity: 1;
        background-color: @color-footer;
        padding: @margin__m/2;
        height: calc(100% ~'-' 358px);
    }

    .c-slideshow__pretitle {
        font-size: @size__m;
    }
    
    .c-slideshow__title {
        font-size: @size__lm;
        line-height: initial;
    }

    .c-slideshow__pager {
        position: relative;
        bottom: initial;
        left: 0;
        z-index: 199;
        padding: 20px;
        .u-transform(translateX(0));
    }
}